Subject: Re: [RFC][PATCH] IP: Make ping sockets optional

From: Florian Westphal <[email-masked]>
Date: Wed, 23 Apr 2014 17:30:18 +0200

Ben Hutchings <[email-masked]> wrote:
> ICMP ping sockets currently require a new ping binary and are only
> available after setting a sysctl.  The code adds about 10K to the
> (uncompressed) size of the kernel.  Make this optional and disable
> it by default.
> 
> This is compile-tested only; I'd just like to see whether people think
> this is worth doing.

Either this feature needs to be ripped out now or it has to be kept.

I do not think the middle-ground you're proposing will work:

If userspace cannot safely assume facility is available, binaries
need to be setuid to implement fallback, and when you go down that
road you've gained nothing and might as well not support ping sockets
at all.